package main

import (
	"fmt"
	"log"
	"os"
	"internal/pairs"
)

func main() {
	fmt.Println("Creating pairs...")
	f, err := os.OpenFile("./csv/pairs.csv", os.O_RDWR|os.O_CREATE|os.O_TRUNC, 0755)
	if err != nil {
		log.Fatal(err)
	}

	defer f.Close()

	var total int = 1000
	if len(os.Args) > 1 {
		i, err := strconv.Atoi(os.Args[1])
	    if err != nil {
	        log.Fatal(err)
	    }
	    total = i
	}

	lines := pairs.MakePairs(total)

	// Write to file
	for _, line := range lines {
       f.WriteString(line + "\n")
    }
}