package main

import (
	"fmt"
	"log"
	"strconv"
	"os"
	"internal/corpus"
)

func main() {
    fmt.Println("Creating corpus...")
    f, err := os.OpenFile("./csv/corpus.csv", os.O_RDWR|os.O_CREATE|os.O_TRUNC, 0755)
	if err != nil {
		log.Fatal(err)
	}

	defer f.Close()

	var total int = 1000
	if len(os.Args) > 1 {
		i, err := strconv.Atoi(os.Args[1])
	    if err != nil {
	        log.Fatal(err)
	    }
	    total = i
	}

	corpus := corpus.MakeCorpus(total)

   f.WriteString(corpus)
}